import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

import { OddsCrawlerFrontendCommonModule } from '@odds-crawler/common';
import { OddsCrawlerFrontendElectronProxyModule } from '@odds-crawler/electron-proxy';
import { OddsCrawlerFrontendPageModule } from '@odds-crawler/page';
import { OddsCrawlerFrontendNetworkModule } from '@odds-crawler/network';

import { AppRoutingModule } from './app-routing.module';
import { AppStoreModule } from './app-store.module';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [AppComponent],
  imports: [
    BrowserModule,
    BrowserAnimationsModule,
    OddsCrawlerFrontendCommonModule.forRoot(),
    OddsCrawlerFrontendElectronProxyModule.forRoot(),
    OddsCrawlerFrontendPageModule.forRoot(),
    OddsCrawlerFrontendNetworkModule.forRoot(),
    AppRoutingModule,
    AppStoreModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule {}
