import { Component } from '@angular/core';

import { ElectronProxyService } from '@odds-crawler/electron-proxy';

@Component({
  selector: 'odds-crawler-app-page-main',
  templateUrl: './main.page.component.html',
  styleUrls: ['./main.page.component.scss']
})
export class MainPageComponent {
  tabs: string[] = [];
  tabSelectedIndex: 0;
  lnbSideNavOpened = true;

  constructor(private electronProxyService: ElectronProxyService) {}

  onClickNewTab(tabURL: HTMLInputElement) {
    this.addTab('new' + tabURL.value);
    console.log(`new: ${this.electronProxyService.isElectronApp}`);

    this.electronProxyService.ipcRenderer.send('pong');
  }

  onTabSelectedIndexChange($event) {}

  addTab(title: string) {
    this.tabs.push(title);
  }

  removeTab(title: string) {
    const index = this.tabs.indexOf(title);
    this.tabs.splice(index, 1);
  }

  onSelectPage(page: string) {}
}
